package demo;

import com.orkwan.OrkwanController;

/**
 * MyController inherits from OrkwanController in the Orkwan
 * framework.
 */
public class MyController extends OrkwanController
{
	/*
	 * init controller (Orkwan framework override)
	 */
	protected void init() throws Exception
	{
	}
	
	/*
	 * validate input request (Orkwan framework override)
	 */
	protected void validateInput() throws Exception
	{
		String name = getRequest().getParameter("name");
		setModelData("name", name);
	}

	/*
	 * update business model (Orkwan framework override)
	 */
	protected void updateModel() throws Exception
	{
		// set html source directly here
		//setSource("<html>Hello World!</html>");
	}
}
