package demo;

import java.io.IOException;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.orkwan.OrkwanController;
import com.orkwan.OrkwanServlet;

/**
 * MyServlet is the main control servlet in the demo application. It inherits from
 * OrkwanServlet in the Orkwan framework.
 *
 */
public class MyServlet extends OrkwanServlet
{
	/* 
	 * handleError during processing request (Orkwan framework override)
	 */
	protected void handleError(HttpServletRequest request, HttpServletResponse response, Throwable t,
			OrkwanController controller) throws IOException, ServletException
	{
	}

	/* 
	 * handleNotFound URL (Orkwan framework override)
	 */
	protected void handleNotFound(HttpServletRequest request, HttpServletResponse response)
			throws Exception
	{
	}

	/* 
	 * initialize at request (Orkwan framework override)
	 */
	protected void init(HttpServletRequest request, HttpServletResponse response)
			throws Exception
	{
	}

	/* 
	 * validate http request (Orkwan framework override)
	 */
	protected void validate(HttpServletRequest request, HttpServletResponse response)
			throws Exception
	{
	}
}
